Get resource type
GET/nevisidm/api/scim/v1/ResourceTypes/:id
Retrieves a single SCIM resource type definition by its ID. Returns 404 Not Found if no resource type exists with the specified ID.
Request
Path Parameters
Resource type identifier.
Responses
- 200
Resource type retrieved successfully
- application/json
- Schema
- Example (from schema)
- User resource type
Schema
- Array [
- ]
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
The resource type's server unique id. May be the same as the 'name' attribute
The resource type name. When applicable, service providers MUST specify the name, e.g., 'User'.
The resource type's human-readable description. When applicable, service providers MUST specify the description.
meta ScimMetarequired
SCIM defined complex to hold meta information.
The name of the resource type of the resource.
The date and time that the resource was added to the service provider.
The most recent date and time that the details of this resource were updated at the service provider.
The URI of the resource being returned.
The version of the resource being returned.
The resource type's HTTP-addressable endpoint relative to the Base URL, e.g., '/Users'.
schemaExtensions ScimSchemaExtension[]
A list of URIs of the resource type's schema extensions.
Contains if the SchemaExtension is required for the Extended Schema
The unique URI of the schema.
The resource type's primary/base schema URI.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "User",
"name": "User",
"description": "SCIM defined complex to hold Resource Type descriptor.",
"meta": {
"resourceType": "User",
"created": "2022-02-20T18:50:02Z",
"lastModified": "2022-02-20T18:51:30Z",
"version": "v2"
},
"endpoint": "Users/",
"schemaExtensions": [
{
"required": true,
"schema": "urn:nevis:idm:scim:schemas:v1:extension:User"
}
],
"schema": "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
}
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:ResourceType"],
"id": "User",
"name": "User",
"description": "SCIM defined complex to hold Resource Type descriptor.",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User",
"endpoint": "Users/",
"meta": {
"resourceType": "ResourceType",
"location": "https://idm.example.com/nevisidm/api/scim/v1/100/ResourceTypes/User"
},
"schemaExtensions": [
{
"required": true,
"schema": "urn:nevis:idm:scim:schemas:v1:extension:User"
}
]
}